using System.Reflection;

namespace Pilz.Extensions;

public static class AssemblyExtensions
{
    public static AppVersion GetAppVersion(this Assembly @this)
    {
        return @this.GetCustomAttribute<AssemblyAppVersionAttribute>()?.Version ?? new();
    }
}
